package com.xkrs.model.entity;

import javax.persistence.*;

/**
 * 检验规格
 */
@Entity
@Table(name = "qc_spec")
public class QcSpecEntity {

    /**
     * 主键id
     */
    @Id
    @GeneratedValue(strategy = GenerationType.SEQUENCE, generator = "qc_spec_seq_gen")
    @SequenceGenerator(name = "qc_spec_seq_gen", sequenceName = "qc_spec_id_seq", allocationSize = 1)
    private Integer id;

    /**
     * 创建时间
     */
    @Column(length = 85, columnDefinition = "varchar(85)")
    private String createTime;

    /**
     * 更新时间
     */
    @Column(length = 85, columnDefinition = "varchar(85)")
    private String updateTime;

    /**
     * 机种号
     */
    @Column(length = 85, columnDefinition = "varchar(85)")
    private String varietyNo;

    /**
     * 检验项目编号
     */
    @Column(length = 85, columnDefinition = "varchar(85)")
    private String qcItemNo;

    /**
     * 最大值
     */
    @Column(length = 85, columnDefinition = "varchar(85)")
    private String max;

    /**
     * 平均值
     */
    @Column(length = 85, columnDefinition = "varchar(85)")
    private String mean;

    /**
     * 最小值
     */
    @Column(length = 85, columnDefinition = "varchar(85)")
    private String min;

    /**
     * 单位
     */
    @Column(length = 85, columnDefinition = "varchar(85)")
    private String unit;

    /**
     * 检验方法
     */
    @Column(length = 85, columnDefinition = "varchar(85)")
    private String method;

    /**
     * 检验标准
     */
    @Column(length = 85, columnDefinition = "varchar(85)")
    private String standard;

    /**
     * 备注
     */
    @Column(length = 85, columnDefinition = "varchar(85)")
    private String remark;

    public QcSpecEntity() {
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getCreateTime() {
        return createTime;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    public String getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(String updateTime) {
        this.updateTime = updateTime;
    }

    public String getVarietyNo() {
        return varietyNo;
    }

    public void setVarietyNo(String varietyNo) {
        this.varietyNo = varietyNo;
    }

    public String getQcItemNo() {
        return qcItemNo;
    }

    public void setQcItemNo(String qcItemNo) {
        this.qcItemNo = qcItemNo;
    }

    public String getMax() {
        return max;
    }

    public void setMax(String max) {
        this.max = max;
    }

    public String getMean() {
        return mean;
    }

    public void setMean(String mean) {
        this.mean = mean;
    }

    public String getMin() {
        return min;
    }

    public void setMin(String min) {
        this.min = min;
    }

    public String getUnit() {
        return unit;
    }

    public void setUnit(String unit) {
        this.unit = unit;
    }

    public String getMethod() {
        return method;
    }

    public void setMethod(String method) {
        this.method = method;
    }

    public String getStandard() {
        return standard;
    }

    public void setStandard(String standard) {
        this.standard = standard;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    @Override
    public String toString() {
        return "QcSpecEntity{" + "id=" + id + ", createTime='" + createTime + '\'' + ", updateTime='" + updateTime + '\'' + ", varietyNo='" + varietyNo + '\'' + ", qcItemNo='" + qcItemNo + '\'' + ", max='" + max + '\'' + ", mean='" + mean + '\'' + ", min='" + min + '\'' + ", unit='" + unit + '\'' + ", method='" + method + '\'' + ", standard='" + standard + '\'' + ", remark='" + remark + '\'' + '}';
    }
}
